> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/2026-05/order_subscription_items.md).

# Order subscription items

The order subscription item object and the allowed CRUD operations on the related resource endpoint

Order subscription items can be of type `skus`, `bundles`, or `adjustments` and are used to generate the target order's line items involved when [order subscriptions](/core-api-reference/2026-05/order_subscriptions.md) are automatically generated using [recurring order copies](/core-api-reference/2026-05/recurring_order_copies.md). Order subscription items are automatically generated from the source order's line items with frequency, according to the strategy set at the [subscription model](/core-api-reference/2026-05/subscription_models.md#subscription-strategies) level:

* `by_frequency` — for each automatically generated order subscription, one order subscription item is generated per source order line item that has that specific frequency.
* `by_line_items` — for each automatically generated order subscription, only one order subscription item will be generated.

Like line items, order subscription items have a quantity and a unit price — both inherited from the source order's line items — that can be changed anytime by updating the order subscription item itself to customize the generated target order's line items. If the source order's line items' unit price is computed according to a [price frequency tier](/core-api-reference/2026-05/price_frequency_tiers.md), any change to the tier itself that happens after the order subscription item generation won't be reflected on the order subscription item's unit price.

<details>

<summary>How-to</summary>

Check the related [guide](/how-tos/placing-orders/subscriptions.md) to learn more about how to generate automatic subscriptions from a source order and how to add, remove, or update order subscription items belonging to an already generated order subscription.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/2026-05/order_subscription_items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
